\subsection{Converter board registers}
\label{subsec:wbgen:reg}

\subsubsection{Memory map summary}
\rowcolors{2}{gray!25}{white}
\resizebox{\textwidth}{!}{
\begin{tabular}{|l|l|l|l|l|}
\rowcolor{RoyalPurple}
\color{white} SW Offset & \color{white} Type & \color{white} Name &
\color{white} HW prefix & \color{white} C prefix\\
0x0& REG & BIDR & reg\_bidr & BIDR\\
0x4& REG & SR & reg\_sr & SR\\
0x8& REG & ERR & reg\_err & ERR\\
0xc& REG & CR & reg\_cr & CR\\
0x10& REG & CH1FPPCR & reg\_ch1fppcr & CH1FPPCR\\
0x14& REG & CH2FPPCR & reg\_ch2fppcr & CH2FPPCR\\
0x18& REG & CH3FPPCR & reg\_ch3fppcr & CH3FPPCR\\
0x1c& REG & CH4FPPCR & reg\_ch4fppcr & CH4FPPCR\\
0x20& REG & CH5FPPCR & reg\_ch5fppcr & CH5FPPCR\\
0x24& REG & CH6FPPCR & reg\_ch6fppcr & CH6FPPCR\\
0x28& REG & CH1RPPCR & reg\_ch1rppcr & CH1RPPCR\\
0x2c& REG & CH2RPPCR & reg\_ch2rppcr & CH2RPPCR\\
0x30& REG & CH3RPPCR & reg\_ch3rppcr & CH3RPPCR\\
0x34& REG & CH4RPPCR & reg\_ch4rppcr & CH4RPPCR\\
0x38& REG & CH5RPPCR & reg\_ch5rppcr & CH5RPPCR\\
0x3c& REG & CH6RPPCR & reg\_ch6rppcr & CH6RPPCR\\
0x40& REG & TVLR & reg\_tvlr & TVLR\\
0x44& REG & TVHR & reg\_tvhr & TVHR\\
0x48& REG & TBMR & reg\_tbmr & TBMR\\
0x4c& REG & TBCYR & reg\_tbcyr & TBCYR\\
0x50& REG & TBTLR & reg\_tbtlr & TBTLR\\
0x54& REG & TBTHR & reg\_tbthr & TBTHR\\
0x58& REG & TBCSR & reg\_tbcsr & TBCSR\\
0x5c& REG & CH1LTSCYR & reg\_ch1ltscyr & CH1LTSCYR\\
0x60& REG & CH1LTSTLR & reg\_ch1ltstlr & CH1LTSTLR\\
0x64& REG & CH1LTSTHR & reg\_ch1ltsthr & CH1LTSTHR\\
0x68& REG & CH2LTSCYR & reg\_ch2ltscyr & CH2LTSCYR\\
0x6c& REG & CH2LTSTLR & reg\_ch2ltstlr & CH2LTSTLR\\
0x70& REG & CH2LTSTHR & reg\_ch2ltsthr & CH2LTSTHR\\
0x74& REG & CH3LTSCYR & reg\_ch3ltscyr & CH3LTSCYR\\
0x78& REG & CH3LTSTLR & reg\_ch3ltstlr & CH3LTSTLR\\
0x7c& REG & CH3LTSTHR & reg\_ch3ltsthr & CH3LTSTHR\\
0x80& REG & CH4LTSCYR & reg\_ch4ltscyr & CH4LTSCYR\\
0x84& REG & CH4LTSTLR & reg\_ch4ltstlr & CH4LTSTLR\\
0x88& REG & CH4LTSTHR & reg\_ch4ltsthr & CH4LTSTHR\\
0x8c& REG & CH5LTSCYR & reg\_ch5ltscyr & CH5LTSCYR\\
0x90& REG & CH5LTSTLR & reg\_ch5ltstlr & CH5LTSTLR\\
0x94& REG & CH5LTSTHR & reg\_ch5ltsthr & CH5LTSTHR\\
0x98& REG & CH6LTSCYR & reg\_ch6ltscyr & CH6LTSCYR\\
0x9c& REG & CH6LTSTLR & reg\_ch6ltstlr & CH6LTSTLR\\
0xa0& REG & CH6LTSTHR & reg\_ch6ltsthr & CH6LTSTHR\\
0xa4& REG & LSR & reg\_lsr & LSR\\
0xa8& REG & OSWR & reg\_oswr & OSWR\\
0xac& REG & UIDLR & reg\_uidlr & UIDLR\\
0xb0& REG & UIDHR & reg\_uidhr & UIDHR\\
0xb4& REG & TEMPR & reg\_tempr & TEMPR\\
\hline
\end{tabular}
}

\subsubsection{Register description}
\paragraph*{BIDR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_bidr\\
{\bf HW address:}  & 0x0\\
{\bf SW prefix:}  & BIDR\\
{\bf SW offset:}  & 0x0\\
\end{tabular}

\vspace{12pt}
Board ID Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}BIDR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}BIDR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}BIDR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}BIDR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
BIDR
} [\emph{read-only}]: ID register bits
\end{small}
\end{itemize}
\paragraph*{SR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_sr\\
{\bf HW address:}  & 0x1\\
{\bf SW prefix:}  & SR\\
{\bf SW offset:}  & 0x4\\
\end{tabular}

\vspace{12pt}
Status Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRPRES} & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}HWVERS[5:2]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{2}{|c|}{\cellcolor{RoyalPurple!25}HWVERS[1:0]} & \multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}RTM[5:0]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}SWITCHES[7:0]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}GWVERS[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
GWVERS
} [\emph{read-only}]: Gateware version
\\
Leftmost nibble hex value is major release decimal value \\                     Rightmost nibble hex value is minor release decimal value \\		     e.g. \\		     0x11 -- v1.1 \\		     0x2e -- v2.14
\end{small}
\item \begin{small}
{\bf 
SWITCHES
} [\emph{read-only}]: Status of on-board general-purpose switches
\\
Eg: SW1.1-- SR.SWITCHES[0] \\                     SW1.2-- SR.SWITCHES[1] \\                     SW2.1-- SR.SWITCHES[4] \\                     SW2.4-- SR.SWITCHES[7] \\                     1 -- switch is ON \\                     0 -- switch is OFF
\end{small}
\item \begin{small}
{\bf 
RTM
} [\emph{read-only}]: RTM detection lines cite{rtm-det}
\\
1 bit per RTM output channel \\					 1 -- line active \\                     0 -- line inactive
\end{small}
\item \begin{small}
{\bf 
HWVERS
} [\emph{read-only}]: Hardware version
\\
PCB version - Hardwired on the board \\					 Only meaningful for HW v4.0 and over \\					 Earlier versions show 0. The register \\					 uses 4 bits for the version number and\\					 2 bits for the execution.\\		     e.g. \\		     0x010001 -- hw v4.1 \\		     0x010111 -- hw v5.3 \\			 0x00-- hw v3 and earlier
\end{small}
\item \begin{small}
{\bf 
WRPRES
} [\emph{read-only}]: White Rabbit present
\\
1 -- White Rabbit present \\                     0 -- White Rabbit not present
\end{small}
\end{itemize}
\paragraph*{ERR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_err\\
{\bf HW address:}  & 0x2\\
{\bf SW prefix:}  & ERR\\
{\bf SW offset:}  & 0x8\\
\end{tabular}

\vspace{12pt}
Error Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & \multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}FWDG\_PMISSE[5:0]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}FLIM\_PMISSE[5:0]} & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}I2C\_ERR} & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}I2C\_WDTO}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
I2C\_WDTO
} [\emph{read/write}]: I2C communication watchdog timeout error
\\
1 -- timeout occured \\                     0 -- no timeout \\                     This bit can be cleared by writing a '1' to it
\end{small}
\item \begin{small}
{\bf 
I2C\_ERR
} [\emph{read/write}]: I2C communication error
\\
1 -- attempted to address non-existing address \\                     0 -- idle \\                     This bit can be cleared by writing a '1' to it
\end{small}
\item \begin{small}
{\bf 
FLIM\_PMISSE
} [\emph{read/write}]: Frequency error
\\
1 -- Input above maximum supported frequency \\                     0 -- idle \\                     Bit 0 -- channel 1 \\                     Bit 1 -- channel 2 \\                     etc. \\                     Each bit can be cleared by writing a '1' to it
\end{small}
\item \begin{small}
{\bf 
FWDG\_PMISSE
} [\emph{read/write}]: Frequency watchdog error
\\
1 -- Pulse over maximum pulse count for given frequency'  \\                     0 -- idle \\                     Bit 0 -- channel 1 \\                     Bit 1 -- channel 2 \\                     etc. \\                     Each bit can be cleared by writing a '1' to it
\end{small}
\end{itemize}
\paragraph*{CR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_cr\\
{\bf HW address:}  & 0x3\\
{\bf SW prefix:}  & CR\\
{\bf SW offset:}  & 0xc\\
\end{tabular}

\vspace{12pt}
Control Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & \multicolumn{2}{|c|}{\cellcolor{RoyalPurple!25}MPT[7:6]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}MPT[5:0]} & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}RST} & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}RST\_UNLOCK}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
RST\_UNLOCK
} [\emph{read/write}]: Reset unlock bit
\\
1 -- Reset bit unlocked \\                     0 -- Reset bit locked
\end{small}
\item \begin{small}
{\bf 
RST
} [\emph{read/write}]: Reset bit - active only if RST_UNLOCK is 1
\\
1 -- initiate logic reset \\                     0 -- no reset
\end{small}
\item \begin{small}
{\bf 
MPT
} [\emph{write-only}]: Manual Pulse Trigger
\\
Write the following sequence to trigger a pulse: \\                     0xde -- Byte 1 of magic sequence \\                     0xad -- Byte 2 of magic sequence \\                     0xbe -- Byte 3 of magic sequence \\                     0xef -- Byte 4 of magic sequence \\		     Number in range 1..6 -- trigger a pulse
\end{small}
\end{itemize}
\paragraph*{CH1FPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch1fppcr\\
{\bf HW address:}  & 0x4\\
{\bf SW prefix:}  & CH1FPPCR\\
{\bf SW offset:}  & 0x10\\
\end{tabular}

\vspace{12pt}
Channel 1 Pulse Counter Register for front panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1FPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1FPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1FPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1FPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH1FPPCR
} [\emph{read/write}]: Value of front panel pulse counter
\end{small}
\end{itemize}
\paragraph*{CH2FPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch2fppcr\\
{\bf HW address:}  & 0x5\\
{\bf SW prefix:}  & CH2FPPCR\\
{\bf SW offset:}  & 0x14\\
\end{tabular}

\vspace{12pt}
Channel 2 Pulse Counter Register for front panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2FPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2FPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2FPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2FPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH2FPPCR
} [\emph{read/write}]: Value of front panel pulse counter
\end{small}
\end{itemize}
\paragraph*{CH3FPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch3fppcr\\
{\bf HW address:}  & 0x6\\
{\bf SW prefix:}  & CH3FPPCR\\
{\bf SW offset:}  & 0x18\\
\end{tabular}

\vspace{12pt}
Channel 3 Pulse Counter Register for front panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3FPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3FPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3FPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3FPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH3FPPCR
} [\emph{read/write}]: Value of front panel pulse counter
\end{small}
\end{itemize}
\paragraph*{CH4FPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch4fppcr\\
{\bf HW address:}  & 0x7\\
{\bf SW prefix:}  & CH4FPPCR\\
{\bf SW offset:}  & 0x1c\\
\end{tabular}

\vspace{12pt}
Channel 4 Pulse Counter Register for front panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4FPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4FPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4FPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4FPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH4FPPCR
} [\emph{read/write}]: Value of front panel pulse counter
\end{small}
\end{itemize}
\paragraph*{CH5FPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch5fppcr\\
{\bf HW address:}  & 0x8\\
{\bf SW prefix:}  & CH5FPPCR\\
{\bf SW offset:}  & 0x20\\
\end{tabular}

\vspace{12pt}
Channel 5 Pulse Counter Register for front panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5FPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5FPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5FPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5FPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH5FPPCR
} [\emph{read/write}]: Value of front panel pulse counter
\end{small}
\end{itemize}
\paragraph*{CH6FPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch6fppcr\\
{\bf HW address:}  & 0x9\\
{\bf SW prefix:}  & CH6FPPCR\\
{\bf SW offset:}  & 0x24\\
\end{tabular}

\vspace{12pt}
Channel 6 Pulse Counter Register for front panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6FPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6FPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6FPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6FPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH6FPPCR
} [\emph{read/write}]: Value of front panel pulse counter
\end{small}
\end{itemize}
\paragraph*{CH1RPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch1rppcr\\
{\bf HW address:}  & 0xa\\
{\bf SW prefix:}  & CH1RPPCR\\
{\bf SW offset:}  & 0x28\\
\end{tabular}

\vspace{12pt}
Channel 1 Pulse Counter Register for rear panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1RPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1RPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1RPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1RPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH1RPPCR
} [\emph{read/write}]: Rear panel pulse counter value
\end{small}
\end{itemize}
\paragraph*{CH2RPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch2rppcr\\
{\bf HW address:}  & 0xb\\
{\bf SW prefix:}  & CH2RPPCR\\
{\bf SW offset:}  & 0x2c\\
\end{tabular}

\vspace{12pt}
Channel 2 Pulse Counter Register for rear panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2RPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2RPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2RPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2RPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH2RPPCR
} [\emph{read/write}]: Rear panel pulse counter value
\end{small}
\end{itemize}
\paragraph*{CH3RPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch3rppcr\\
{\bf HW address:}  & 0xc\\
{\bf SW prefix:}  & CH3RPPCR\\
{\bf SW offset:}  & 0x30\\
\end{tabular}

\vspace{12pt}
Channel 3 Pulse Counter Register for rear panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3RPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3RPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3RPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3RPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH3RPPCR
} [\emph{read/write}]: Rear panel pulse counter value
\end{small}
\end{itemize}
\paragraph*{CH4RPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch4rppcr\\
{\bf HW address:}  & 0xd\\
{\bf SW prefix:}  & CH4RPPCR\\
{\bf SW offset:}  & 0x34\\
\end{tabular}

\vspace{12pt}
Channel 4 Pulse Counter Register for rear panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4RPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4RPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4RPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4RPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH4RPPCR
} [\emph{read/write}]: Rear panel pulse counter value
\end{small}
\end{itemize}
\paragraph*{CH5RPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch5rppcr\\
{\bf HW address:}  & 0xe\\
{\bf SW prefix:}  & CH5RPPCR\\
{\bf SW offset:}  & 0x38\\
\end{tabular}

\vspace{12pt}
Channel 5 Pulse Counter Register for rear panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5RPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5RPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5RPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5RPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH5RPPCR
} [\emph{read/write}]: Rear panel pulse counter value
\end{small}
\end{itemize}
\paragraph*{CH6RPPCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch6rppcr\\
{\bf HW address:}  & 0xf\\
{\bf SW prefix:}  & CH6RPPCR\\
{\bf SW offset:}  & 0x3c\\
\end{tabular}

\vspace{12pt}
Channel 6 Pulse Counter Register for rear panel pulses

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6RPPCR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6RPPCR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6RPPCR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6RPPCR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH6RPPCR
} [\emph{read/write}]: Rear panel pulse counter value
\end{small}
\end{itemize}
\paragraph*{TVLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tvlr\\
{\bf HW address:}  & 0x10\\
{\bf SW prefix:}  & TVLR\\
{\bf SW offset:}  & 0x40\\
\end{tabular}

\vspace{12pt}
Time Value Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TVLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TVLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TVLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TVLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TVLR
} [\emph{read/write}]: TAI seconds counter bits 31..0
\\
Writing this field resets the internal cycles counter.
\end{small}
\end{itemize}
\paragraph*{TVHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tvhr\\
{\bf HW address:}  & 0x11\\
{\bf SW prefix:}  & TVHR\\
{\bf SW offset:}  & 0x44\\
\end{tabular}

\vspace{12pt}
Time Value High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TVHR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TVHR
} [\emph{read/write}]: TAI seconds counter bits 39..32
\\
Writing this field resets the internal cycles counter.
\end{small}
\end{itemize}
\paragraph*{TBMR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tbmr\\
{\bf HW address:}  & 0x12\\
{\bf SW prefix:}  & TBMR\\
{\bf SW offset:}  & 0x48\\
\end{tabular}

\vspace{12pt}
Tag Buffer Meta Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{1}{|c}{-} & - & \multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}CHAN[5:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CHAN
} [\emph{read-only}]: Channel mask
\\
Mask for the channel(s) that triggered time-tag storage: \\                     bit 0 -- channel 1 \\		     bit 1 -- channel 2 \\		     ... \\		     bit 5 -- channel 6
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{TBCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tbcyr\\
{\bf HW address:}  & 0x13\\
{\bf SW prefix:}  & TBCYR\\
{\bf SW offset:}  & 0x4c\\
\end{tabular}

\vspace{12pt}
Tag Buffer Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}TBCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TBCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{TBTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tbtlr\\
{\bf HW address:}  & 0x14\\
{\bf SW prefix:}  & TBTLR\\
{\bf SW offset:}  & 0x50\\
\end{tabular}

\vspace{12pt}
Tag Buffer TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TBTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{TBTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tbthr\\
{\bf HW address:}  & 0x15\\
{\bf SW prefix:}  & TBTHR\\
{\bf SW offset:}  & 0x54\\
\end{tabular}

\vspace{12pt}
Tag Buffer TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TBTHR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TBTHR
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{TBCSR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tbcsr\\
{\bf HW address:}  & 0x16\\
{\bf SW prefix:}  & TBCSR\\
{\bf SW offset:}  & 0x58\\
\end{tabular}

\vspace{12pt}
Tag Buffer Control and Status Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}CLR} & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}EMPTY} & \multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}FULL}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{1}{|c}{-} & \multicolumn{7}{|c|}{\cellcolor{RoyalPurple!25}USEDW[6:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
USEDW
} [\emph{read-only}]: Buffer counter
\\
Number of samples in the ring buffer
\end{small}
\item \begin{small}
{\bf 
FULL
} [\emph{read-only}]: Buffer full
\\
1 -- buffer full \\      0 -- buffer is not full
\end{small}
\item \begin{small}
{\bf 
EMPTY
} [\emph{read-only}]: Buffer empty
\\
1 -- buffer empty\\      0 -- buffer is not empty
\end{small}
\item \begin{small}
{\bf 
CLR
} [\emph{read/write}]: Clear tag buffer
\\
1 -- clear\\      0 -- no effect
\end{small}
\end{itemize}
\paragraph*{CH1LTSCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch1ltscyr\\
{\bf HW address:}  & 0x17\\
{\bf SW prefix:}  & CH1LTSCYR\\
{\bf SW offset:}  & 0x5c\\
\end{tabular}

\vspace{12pt}
Channel 1 Latest Timestamp Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH1LTSCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH1LTSTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch1ltstlr\\
{\bf HW address:}  & 0x18\\
{\bf SW prefix:}  & CH1LTSTLR\\
{\bf SW offset:}  & 0x60\\
\end{tabular}

\vspace{12pt}
Channel 1 Latest Timestamp TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH1LTSTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH1LTSTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH1LTSTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch1ltsthr\\
{\bf HW address:}  & 0x19\\
{\bf SW prefix:}  & CH1LTSTHR\\
{\bf SW offset:}  & 0x64\\
\end{tabular}

\vspace{12pt}
Channel 1 Latest Timestamp TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TAI
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{CH2LTSCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch2ltscyr\\
{\bf HW address:}  & 0x1a\\
{\bf SW prefix:}  & CH2LTSCYR\\
{\bf SW offset:}  & 0x68\\
\end{tabular}

\vspace{12pt}
Channel 2 Latest Timestamp Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH2LTSCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH2LTSTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch2ltstlr\\
{\bf HW address:}  & 0x1b\\
{\bf SW prefix:}  & CH2LTSTLR\\
{\bf SW offset:}  & 0x6c\\
\end{tabular}

\vspace{12pt}
Channel 2 Latest Timestamp TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH2LTSTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH2LTSTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH2LTSTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch2ltsthr\\
{\bf HW address:}  & 0x1c\\
{\bf SW prefix:}  & CH2LTSTHR\\
{\bf SW offset:}  & 0x70\\
\end{tabular}

\vspace{12pt}
Channel 2 Latest Timestamp TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TAI
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{CH3LTSCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch3ltscyr\\
{\bf HW address:}  & 0x1d\\
{\bf SW prefix:}  & CH3LTSCYR\\
{\bf SW offset:}  & 0x74\\
\end{tabular}

\vspace{12pt}
Channel 3 Latest Timestamp Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH3LTSCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH3LTSTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch3ltstlr\\
{\bf HW address:}  & 0x1e\\
{\bf SW prefix:}  & CH3LTSTLR\\
{\bf SW offset:}  & 0x78\\
\end{tabular}

\vspace{12pt}
Channel 3 Latest Timestamp TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH3LTSTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH3LTSTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH3LTSTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch3ltsthr\\
{\bf HW address:}  & 0x1f\\
{\bf SW prefix:}  & CH3LTSTHR\\
{\bf SW offset:}  & 0x7c\\
\end{tabular}

\vspace{12pt}
Channel 3 Latest Timestamp TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TAI
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{CH4LTSCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch4ltscyr\\
{\bf HW address:}  & 0x20\\
{\bf SW prefix:}  & CH4LTSCYR\\
{\bf SW offset:}  & 0x80\\
\end{tabular}

\vspace{12pt}
Channel 4 Latest Timestamp Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH4LTSCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH4LTSTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch4ltstlr\\
{\bf HW address:}  & 0x21\\
{\bf SW prefix:}  & CH4LTSTLR\\
{\bf SW offset:}  & 0x84\\
\end{tabular}

\vspace{12pt}
Channel 4 Latest Timestamp TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH4LTSTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH4LTSTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH4LTSTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch4ltsthr\\
{\bf HW address:}  & 0x22\\
{\bf SW prefix:}  & CH4LTSTHR\\
{\bf SW offset:}  & 0x88\\
\end{tabular}

\vspace{12pt}
Channel 4 Latest Timestamp TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TAI
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{CH5LTSCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch5ltscyr\\
{\bf HW address:}  & 0x23\\
{\bf SW prefix:}  & CH5LTSCYR\\
{\bf SW offset:}  & 0x8c\\
\end{tabular}

\vspace{12pt}
Channel 5 Latest Timestamp Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH5LTSCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH5LTSTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch5ltstlr\\
{\bf HW address:}  & 0x24\\
{\bf SW prefix:}  & CH5LTSTLR\\
{\bf SW offset:}  & 0x90\\
\end{tabular}

\vspace{12pt}
Channel 5 Latest Timestamp TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH5LTSTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH5LTSTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH5LTSTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch5ltsthr\\
{\bf HW address:}  & 0x25\\
{\bf SW prefix:}  & CH5LTSTHR\\
{\bf SW offset:}  & 0x94\\
\end{tabular}

\vspace{12pt}
Channel 5 Latest Timestamp TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TAI
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{CH6LTSCYR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch6ltscyr\\
{\bf HW address:}  & 0x26\\
{\bf SW prefix:}  & CH6LTSCYR\\
{\bf SW offset:}  & 0x98\\
\end{tabular}

\vspace{12pt}
Channel 6 Latest Timestamp Cycles Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & \multicolumn{4}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSCYR[27:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSCYR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSCYR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSCYR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH6LTSCYR
} [\emph{read-only}]: Cycles counter
\\
Value of the 8-ns cycles counter when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH6LTSTLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch6ltstlr\\
{\bf HW address:}  & 0x27\\
{\bf SW prefix:}  & CH6LTSTLR\\
{\bf SW offset:}  & 0x9c\\
\end{tabular}

\vspace{12pt}
Channel 6 Latest Timestamp TAI Low Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSTLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSTLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSTLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}CH6LTSTLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
CH6LTSTLR
} [\emph{read-only}]: Lower part of TAI seconds counter
\\
Value of the TAI seconds counter bits 31..0 when time tag was taken.
\end{small}
\end{itemize}
\paragraph*{CH6LTSTHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_ch6ltsthr\\
{\bf HW address:}  & 0x28\\
{\bf SW prefix:}  & CH6LTSTHR\\
{\bf SW offset:}  & 0xa0\\
\end{tabular}

\vspace{12pt}
Channel 6 Latest Timestamp TAI High Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c|}{\cellcolor{RoyalPurple!25}WRTAG} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TAI
} [\emph{read-only}]: Upper part of TAI seconds counter
\\
Value of the TAI seconds counter bits 39..32 when time tag was taken.
\end{small}
\item \begin{small}
{\bf 
WRTAG
} [\emph{read-only}]: White Rabbit present
\\
1 - Current time tag generated with White Rabbit \\                     0 - Current time tag generated with internal counter
\end{small}
\end{itemize}
\paragraph*{LSR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_lsr\\
{\bf HW address:}  & 0x29\\
{\bf SW prefix:}  & LSR\\
{\bf SW offset:}  & 0xa4\\
\end{tabular}

\vspace{12pt}
Line Status Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}REARFS[5:0]} & \multicolumn{2}{|c|}{\cellcolor{RoyalPurple!25}FRONTINVFS[3:2]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{2}{|c|}{\cellcolor{RoyalPurple!25}FRONTINVFS[1:0]} & \multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}FRONTFS[5:0]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}REAR[5:0]} & \multicolumn{2}{|c|}{\cellcolor{RoyalPurple!25}FRONTINV[3:2]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{2}{|c|}{\cellcolor{RoyalPurple!25}FRONTINV[1:0]} & \multicolumn{6}{|c|}{\cellcolor{RoyalPurple!25}FRONT[5:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
FRONT
} [\emph{read-only}]: Front panel channel input state
\\
Line state at board input\\      Bit 0 -- channel 1\\      Bit 1 -- channel 2\\      etc.
\end{small}
\item \begin{small}
{\bf 
FRONTINV
} [\emph{read-only}]: Front panel INV-TTL input state
\\
Line state at board input\\      Bit 0 -- channel 1\\      Bit 1 -- channel 2\\      etc.
\end{small}
\item \begin{small}
{\bf 
REAR
} [\emph{read-only}]: Rear panel input state
\\
Line state at board input\\      Bit 0 -- channel 1\\      Bit 1 -- channel 2\\      etc.
\end{small}
\item \begin{small}
{\bf 
FRONTFS
} [\emph{read-only}]: Front panel input failsafe state
\\
High if line is in failsafe mode (e.g., no cable plugged in)\\      Bit 0 -- channel 1\\      Bit 1 -- channel 2\\      etc.
\end{small}
\item \begin{small}
{\bf 
FRONTINVFS
} [\emph{read-only}]: Front panel inverter input failsafe state
\\
High if line is in failsafe mode (e.g., no cable plugged in)\\      Bit 0 -- channel 1\\      Bit 1 -- channel 2\\      etc.
\end{small}
\item \begin{small}
{\bf 
REARFS
} [\emph{read-only}]: Rear panel input failsafe state
\\
High if line is in failsafe mode (e.g., no cable plugged in)\\      Bit 0 -- channel 1\\      Bit 1 -- channel 2\\      etc.
\end{small}
\end{itemize}
\paragraph*{OSWR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_oswr\\
{\bf HW address:}  & 0x2a\\
{\bf SW prefix:}  & OSWR\\
{\bf SW offset:}  & 0xa8\\
\end{tabular}

\vspace{12pt}
Other Switch Register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}SWITCHES[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}SWITCHES[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}SWITCHES[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}SWITCHES[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
SWITCHES
} [\emph{read-only}]: Switch state
\\
1 -- switch is ON \\      0 -- switch is OFF
\end{small}
\end{itemize}
\paragraph*{UIDLR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_uidlr\\
{\bf HW address:}  & 0x2b\\
{\bf SW prefix:}  & UIDLR\\
{\bf SW offset:}  & 0xac\\
\end{tabular}

\vspace{12pt}
32 LS bits of 1-wire thermometer ID

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDLR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDLR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDLR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDLR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
UIDLR
} [\emph{read-only}]: LS bits of 1-wire DS18B20U thermometer ID
\end{small}
\end{itemize}
\paragraph*{UIDHR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_uidhr\\
{\bf HW address:}  & 0x2c\\
{\bf SW prefix:}  & UIDHR\\
{\bf SW offset:}  & 0xb0\\
\end{tabular}

\vspace{12pt}
32 MS bits of 1-wire thermometer ID

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDHR[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDHR[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDHR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}UIDHR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
UIDHR
} [\emph{read-only}]: MS bits of 1-wire DS18B20U thermometer ID
\end{small}
\end{itemize}
\paragraph*{TEMPR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & reg\_tempr\\
{\bf HW address:}  & 0x2d\\
{\bf SW prefix:}  & TEMPR\\
{\bf SW offset:}  & 0xb4\\
\end{tabular}

\vspace{12pt}
Raw temperature data from the one wire DS18B20U. The register is 2-bytes long; it translates to oC as follows: temp = ((byte1 << 8) | byte0) / 16.0

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{1}{|c}{-} & - & - & - & - & - & - & \multicolumn{1}{c|}{-}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TEMPR[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{RoyalPurple!25}TEMPR[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TEMPR
} [\emph{read-only}]: TEMP
\\
Current on-board temperature
\end{small}
\end{itemize}



